Create schedule
curl --request POST \
--url https://bugzy.ai/api/v1/projects/{id}/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taskSlug": "<string>",
"cronExpression": "0 9 * * *",
"timezone": "UTC",
"name": "<string>",
"parameters": "<string>",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://bugzy.ai/api/v1/projects/{id}/schedules"
payload = {
"taskSlug": "<string>",
"cronExpression": "0 9 * * *",
"timezone": "UTC",
"name": "<string>",
"parameters": "<string>",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
taskSlug: '<string>',
cronExpression: '0 9 * * *',
timezone: 'UTC',
name: '<string>',
parameters: '<string>',
environmentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://bugzy.ai/api/v1/projects/{id}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Schedules
Create schedule
POST
/
projects
/
{id}
/
schedules
Create schedule
Authorizations
Project API key (bzy_proj_) for project routes or team API key (bzy_team_) for selected team routes.
Path Parameters
Body
application/json
Response
201
Schedule created
⌘I
